@echo off
: #!/bin/sh
: #
: #       Purpose:
: #               Recode regular pedegree file to a sequentiall numbered
: #               file.
: #
: #       Usage:
: #               make_ped (pedigree file)(reordered pedigree file)
: #
: #               The input pedegree file has one row for animal, next for sire and next for dam
: #               The reordered file has first the parents and then the progeny
: #
: #
: ####################################################################

: if %1 echo make_ped: Syntax: make_ped (pedigree file)(reordered pedigree file)

if ?==%1 echo make_ped: Syntax: make_ped (pedigree file)(reordered pedigree file).
if ?==%1 goto end

if --help==%1 echo make_ped: Syntax: make_ped (pedigree file)(reordered pedigree file)
if --help==%1 goto end

if not exist %1 echo Error: cannot open file %1 for input
if not exist %1 goto end

: \abtk\bin\tr ';' '\t' < pedigree.tmp |\abtk\bin\sort -k 2.1,2.8 -k 1.1,1.16 - | \abtk\bin\tr '\t' ';' > pedigree.srt
: \abtk\bin\uniq -d pedigree.srt > pedigree.ttt
: \abtk\bin\uniq -u pedigree.srt >> pedigree.ttt
: \abtk\bin\tr ';' '\t' < pedigree.ttt |\abtk\bin\sort -k 2.1,2.8 - | \abtk\bin\tr '\t' ';' > pedigree.dat

\abtk\bin\tr ';' '\t' < %1 |\abtk\bin\sort -k 2.1,2.8 -k 1.1,1.16 - | \abtk\bin\tr '\t' ';' > pedigree.srt
\abtk\bin\uniq -d pedigree.srt > pedigree.ttt
\abtk\bin\uniq -u pedigree.srt >> pedigree.ttt
\abtk\bin\tr ';' '\t' < pedigree.ttt |\abtk\bin\sort -k 2.1,2.8 - | \abtk\bin\tr '\t' ';' > %2

del pedigree.srt
del pedigree.ttt

:end
