@echo off
: #!/bin/sh
: #
: #       Purpose:
: #               Recode regular pedegree file to a sequentiall numbered
: #               file.
: #
: #       Usage:
: #               ped_recode (ped_file) (recoded_ped_file) (call_path)
: #
: #               The pedegree file must be in order of parents before
: #               offspring.
: #
: #       Revision Record:
: #               2/25/91 - blg: Setup for public distribution.
: #
: #       NOTE TO INSTALLER: set the variable BINLOC to the location
: #       of the storage area for this script and the binary "prd"
: #
: ####################################################################

set call_path=%3

: if %1 echo ped_recode: Syntax: ped_recode (pedigree file)(recoded pedigree file)

if ?==%3 echo ped_recode: Syntax: ped_recode (pedigree file)(recoded pedigree file) (call_path).
if ?==%3 goto end

if --help==%1 echo ped_recode: Syntax: ped_recode (pedigree file)(recoded pedigree file)
if --help==%1 goto end

if not exist %1 echo Error: cannot open file %1 for input
if not exist %1 goto end

%call_path%awk "{print $1, $2, $3, NR}" %1 | sort >%1.s1

%call_path%prd %1.s1 >%1.s2

%call_path%sort -n +0 %1.s2 >%2 

del %1.s1
del %1.s2
:end
